| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
cv::img_hash::BlockMeanHash Class Reference
The module brings implementations of different image hashing algorithms.

Image hash based on block mean. More...

`#include "block_mean_hash.hpp"`

Inheritance diagram for cv::img_hash::BlockMeanHash:

## Public Member Functions
std::vector< double > | getMean () const
void | setMode (int mode)
| Create BlockMeanHash object. More...
Public Member Functions inherited from cv::img_hash::ImgHashBase
| ~ImgHashBase ()
double | compare (cv::InputArray hashOne, cv::InputArray hashTwo) const
| Compare the hash value between inOne and inTwo. More...
void | compute (cv::InputArray inputArr, cv::OutputArray outputArr)
| Computes hash of the input image. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< BlockMeanHash > | create (int mode=BLOCK_MEAN_HASH_MODE_0)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Protected Member Functions
| BlockMeanHash ()
Protected Member Functions inherited from cv::img_hash::ImgHashBase
| ImgHashBase ()
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Additional Inherited Members
Protected Attributes inherited from cv::img_hash::ImgHashBase
Ptr< ImgHashImpl > | pImpl

## Detailed Description

Image hash based on block mean.

See [219] for details.

## Constructor & Destructor Documentation

## § BlockMeanHash()

cv::img_hash::BlockMeanHash::BlockMeanHash | ( |  | ) |
| inline protected

## Member Function Documentation

## § create()

static Ptr<BlockMeanHash> cv::img_hash::BlockMeanHash::create | ( | int | mode = `BLOCK_MEAN_HASH_MODE_0` | ) |
| static

Python:
| retval | = | cv.img_hash.BlockMeanHash_create( | [, mode] | )

## § getMean()

std::vector<double> cv::img_hash::BlockMeanHash::getMean | ( |  | ) | const

Python:
| retval | = | cv.img_hash_BlockMeanHash.getMean( |  | )

## § setMode()

void cv::img_hash::BlockMeanHash::setMode | ( | int | mode | ) |

Python:
| None | = | cv.img_hash_BlockMeanHash.setMode( | mode | )

Create BlockMeanHash object.

Parameters

  mode |

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/img_hash/include/opencv2/img_hash/block_mean_hash.hpp